-- Deploy camper:color to pg
-- requires: schema_camper
-- requires: extension_citext

begin;

set search_path to camper, public;

create domain color as citext
check ( value ~ '^#[a-fA-F0-9]{6}$' );

comment on domain color is 'seven-character string specifying an RGB color in hexadecimal format starting with #, like HTML.';

commit;
